@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100;0,9..40,200;0,9..40,300;1,9..40,100;1,9..40,200&family=Open+Sans:wght@300&family=Poppins:ital,wght@0,300;0,400;0,500;1,300;1,400&family=Rubik:ital,wght@0,300;0,500;1,400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100;0,9..40,200;0,9..40,300;1,9..40,100;1,9..40,200&family=Fuggles&family=Open+Sans:wght@300&family=Poppins:ital,wght@0,300;0,400;0,500;1,300;1,400&family=Rubik:ital,wght@0,300;0,500;1,400&display=swap');
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-decoration: none;
    
}

body{
    overflow-x: hidden;
    width: 100%;
    height: 100%;
    padding: 0px;
    margin: 0px;
}

html{
    scroll-behavior: smooth;
}
body{
    background: var(--white);
}

:root{
    --rich-black-fogra-29:hsl(240,13%,8%);
    --silver-chalice:hsl(0, 0%, 70%);
    --floral-white:hsl(38,100%,98%);
    --raisin-black:hsl(240, 8% 18%);
    --sonic-silver:hsl(240, 3%, 45%);
    --mango-tango:hsl(20,100%,64%);
    --orange-wb:hsl(39, 100%, 50%);
    --cultured:hsl(210, 17%, 98%);
    --mantis:hsl(118, 41%, 62%);
    --gambog:hsl(39, 100%, 45%);
    --black:hsl(0, 0%, 0%);
    --white:hsl(0, 0%, 100%);
    --onyx:hsl(0, 0%, 23%);

    --gradient: linear-gradient(135deg, #71b7e6, #9b59b6);
    --gradient-color:linear-gradient(90deg, hsl(38, 100, 98%) 21.32%, hsl(144, 45%, 98%) 130%);



    /*---------- fonts-------- */

    --ff-poppins:'Poppins', sans-serif;
    --ff-rubik:'Rubik', sans-serif;
    --dm-sans:'DM Sans', sans-serif;
    --fuggles:'fuggles', sans-serif;


    /* ---------font size-------- */
    --fs-1: 30px;
    --fs-2: 28px;
    --fs-3: 24px;
    --fs-4: 20px;
    --fs-5: 18px;
    --fs-6: 16px;

    /* -------font weight-------- */
    --fw-500:500;
    --fw-700:700;


    /* -------Transitions-------- */
    --transition: 0.2s ease-in-out;

    /* ---------Spacing---------- */
    --section-padding: 80px;
}


/* ---------- RESET-------- */

*, *::before, *::after{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
li{
    list-style: none;
}

a,
img,
span,
button,
i{
    display: block;
}
button{
    background: none;
    border: none;
    font: inherit;
    cursor: pointer;
}

/* ------Re used Style --------- */
.container{
    padding-inline: 15px;
}
.btn{
    color: var(--white);
    font-family: var(--ff-poppins);
    padding: 20px 30px;
    border-radius: 15px;
    transition: var(--transition);
}
.btn-secondary{
    height: 50px;
    width: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px;
    background: var(--rich-black-fogra-29);
    box-shadow: inset 0 -10px 20px hsl(240, 8%, 37%);
}

.btn-secondary:is(:hover, :focus){
    background: var(--gambog);
    box-shadow: 5px 10px 30px hsla(39, 100%, 50%, 0.3);
}
.btn-primary{
    background: var(--orange-wb);
    box-shadow: 5px 10px 30px hsla(39, 100%, 50%, 0.3);
}
.btn-primary:is(:hover, :focus){
    background: var(--gambog);
    transform: translateY(-3px);
}

.h1,
.h2,
.h3{
    font-family: var(--ff-poppins);
    color: var(--rich-black-fogra-29);
}

.h1{
    font-size: var(--fs-1);
    line-height: 1.4;
    font-weight: var(--fw-700);
}
h2{
    color: var(--onyx);
    font-size: var(--fs-3);
    line-height: 1.3;
}
.section-text,
.card-text{
    font-family: var(--ff-rubik);
    color: var(--sonic-silver);
    line-height: 1.8;
    font-size: var(--fs-5);
}

.about-title{
    margin-bottom: 30px;
}
.about .section-text{
    margin-bottom: 50px;
}
.contact-container .contactInfo .box .icon:hover{
    background-color: transparent;
    border: 1px solid var(--mantis);
}


/* ------Header------ */
.header{
    padding-block: 25px;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 4;
    transition: padding var(--transition);
}
.header.active{
    background-color: var(--cultured);
    box-sizing: 0 1px 3px hsla(0, 0%, 0%, 0.1);
    padding-block: 20px;
}
.header .container{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.header.logo{
    width: 150px;
}
.logo img{
    width: 100%;
}
.logo{
    width: 120px;
    margin-right: 40px;
}
.menu-open-btn{
    font-size: 35px;
    color: var(--mango-tango);
}
.navbar{
    position: fixed;
    top: 0;
    left: -250px;
    width: 100%;
    max-width: 250px;
    height: 100%;
    background: var(--white);
    padding: 80px 20px;
    transition: 0.15s ease-in;
    z-index: 3;
}
/* copy right symbol */

.navbar.active{
    left: 0;
    transition: 0.25s ease-in;
}
.menu-close-btn{
    position: absolute;
    top: 0;
    right: 0;
    font-size: 30px;
    padding: 5px;
    /* background: var(--rich-black-fogra-29); */
    color: var(--black);
}

.navbar .logo{
    width: 160px;
    margin-bottom: 30px;
    margin-inline: auto;
}
.navbar-list{
    margin-bottom: 15px;
}
.navbar-link{
    color: var(--rich-black-fogra-29);
    font-weight: var(--fw-500);
    padding-block: 15px;
    font-family: var(--dm-sans);
    transition: .3s ease-in-out;
}
.navbar-link:hover{
    color: var(--black);
    transform: translate(5px);
}
.overlay{
    position: fixed;
    inset: 0;
    background: hsla(0, 0%, 0%, 0.7);
    pointer-events: none;
    opacity: 0;
    transition: 0.15s ease-out;
    z-index: 3;
}
.overlay.active{
    pointer-events: all;
    opacity: 1;
}





/* -------Home Page------- */
.hero{
    background: var(--gradient-color);
    padding: 150px 0 var(--section-padding);
}
.hero-banner{
    margin-bottom: 30px;
}
.hero-banner img{
    width: 100%;
}
.hero-title{
    margin-bottom: 20px;
}
.hero .section-text{
    margin-bottom: 45px;
}



/* -----About------- */
.about{
    padding-block: var(--section-padding);
}
.about-banner{
    position: relative;
    margin-bottom: 40px;
}
.about-img{
    width: 100%;
}
.whyChooseUs{
    font-size: var(--fs-4);
    padding: 5px;
    color: var(--mango-tango);
}

/* ----------Services section--------- */
.services-departements{
    padding-block: var(--section-padding);
    background: var(--floral-white);
    margin-bottom: 50px;
}
.departments-title{
    font-size: var(--fs-1);
    text-align: center;
    margin-bottom: 80px;
}
.departments-list{
    display: grid;
    gap: 30px;
    margin-bottom: 50px;
}
.departments-card{
    background-color: var(--white);
    box-shadow: 5px 30px 50px hsla(0, 1%, 15%, 0.05);
    max-width: 400px;
    margin-inline: auto;
    padding: 20px;
    border-radius: 25px;
}
.departments-card .card-banner{
    margin-bottom: 20px;
    border-radius: 12px 12px 0 0;
    overflow: hidden;
}
.departments-card img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: var(--transition);
}

.departments-card:hover img{
    transform: scale(1.09);
}
.departments-card .card-title{
    margin-bottom: 15px;
}
.departments-card .card-text{
    line-height: 1.5;
    margin-bottom: 20px;
}
.departments-card .card-link{
    color: var(--orange-wb);
    font-family: var(--ff-rubik);
    font-weight: var(--fw-500);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
    transition: var(--transition);
}
.departments-card .card-link:is(:hover, :focus){
    gap: 15px;
}
.departments-card .btn-primary{
    margin-bottom: auto;
}
.card-title{
    display: flex;
    justify-content: center;
    align-items: center;
}



/* Blogs section */
#blog{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 50px 0px;
    background-color: var(--white);

}
.blog-heading h3{
    font-size: 2.4rem;
    color: var(--mango-tango);
    font-weight: var(--fw-500);
    line-height: 2.4rem;
}
.blog-heading strong{
    color: var(--sonic-silver);
    font-size: 1rem;
    font-weight: var(--fw-500);
    letter-spacing: 0.3px;
}
.blog-box-container{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    max-width: 1050px;
    width: 90%;
    margin-top: 50px;
}
.blog-box{
    cursor: pointer;
    max-width: 100%;
    width: 100%;
    height: 100%;
    padding: 30px;
    display: flex;
    flex-direction: column;
    transition: all ease 0.3s;
}
.blog-box:hover{
    box-shadow: 16px 20px 50px rgba(0, 0, 0, 0.12);
    background-color: var(--white);
}
.blog-box-img{
    width: 100%;
    height: 100%;
    max-width: 300px;
    overflow: hidden;
    display: flex;
    position: relative;
}
.blog-box-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    transition: all ease 0.3s;
}
.blog-img-link{
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    height: 40px;
    width: 40px;
    border-radius: 50%;
    display: none;
    justify-content: center;
    align-items: center;
    background-color: var(--white);
    color: #252525;
    box-shadow: 2px 2px 30px rgba(20, 97, 212, 0.12);
}
.blog-box:hover .blog-box-img a{
    display: flex;
}
.blog-box:hover .blog-box-img img{
    filter: blur(2px);
}
@keyframes fade {
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
    
}
.blog-box-text{
    display: flex;
    flex-direction: column;
    padding: 30px 10px 20px 10px;
}
.blog-box-text strong,
.blog-box-text p{
    color: var(--onyx);
    font-size: 0.9rem;
}
.blog-box-text a{
    font-size: 1.4rem;
    color: var(--rich-black-fogra-29);
    font-weight: 800;
    line-height: 1.8rem;
    margin: 5px 0px 10px 0px;
}
.blog-box-text p{
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
}
.blog-author{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-top: 20px;
}
.blog-author-img{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    overflow: hidden;
    margin-right: 10px;
}
.blog-author-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}
.blog-author-text{
    display: flex;
    flex-direction: column;
}
.blog-author-text strong{
    color: var(--mango-tango);
    font-weight: 800;
}
.blog-author-text span{
    color: var(--sonic-silver);
    font-size: 0.8rem;
}


/* -------contact us-------- */

.contactus{
    position: relative;
    min-height: 100vh;
    padding: 50px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    
}
.contactus .content{
    max-width: 800px;
    text-align: center;
}
.contactus .content h2{
    font-size: var(--fs-1);
    font-weight: var(--fw-500);
    color: var(--rich-black-fogra-29);
}
.contactus .content p{
    font-weight: 300;
    color: var(--black);

}
.contact-container{
    width: 100%;
    display:flex;
    justify-content: center;
    align-items: center;
    margin-top: 30px;
}
.contact-container .contactInfo{
    cursor: pointer;
    width: 100%;
    display: flex;
    justify-content: space-around;
    flex-direction: row;
    margin-bottom: 30px;
    margin-right: 30px;
}
.contact-container .contactInfo .box{
    position: relative;
    padding: 20px 0;
    display: flex;
    margin-right: 0;
    padding-right: 0;

}
.contact-container .contactInfo .box .icon{
    min-width: 60px;
    height: 60px;
    background-color: var(--mantis);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}
.contact-container .contactInfo .box .text{
    display: flex;
    margin-left: 20px;
    font-size: var(--fs-6);
    flex-direction: column;
    font-weight: 300;
}
.contact-container .contactInfo .box .text h3{
    font-weight: var(--fw-700);
    color: var(--rich-black-fogra-29);
    margin: 5px;
}
@media screen and (max-width: 768px) {
    .contact-container .contactInfo {
        display: flex;
        flex-direction: column;
    }
    .contact-container .contactInfo .box .text {
        margin-left: 0;
        margin-top: 10px; /* Add margin-top for spacing */
        text-align: center; /* Center align text for smaller devices */
    }
}

/* contact us  */
.contactform-container{
    background-color: var(--white);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    margin: 30px;
    height: 700px;
}
form{
    background-color: var(--white);
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
    transition: .4s;
    display: flex;
    flex-direction: column;
    padding: 2vw 4vw;
    height: 550px;
    width: 100%;
    max-width: 600px;
    border-radius: 10px;
}
form h2{
    text-align: center;
    color: var(--rich-black-fogra-29);
    margin-bottom: 20px;
}
form input, textarea{
    height: 30px;
    width: 100%;
    border: 0;
    margin: 10px 0px;
    padding: 20px;
    outline: none;
    background-color: rgb(222, 219, 219);
    font-size: 16px;
    border-radius: 5px;
    
}
#message textarea{
    width: 100%;
    resize: none;
}
form button{
    background-color: var(--mantis);
    color: var(--rich-black-fogra-29);
    border: 1px solid var(--mantis);
    padding: 15px;
    font-size: var(--fs-4);
    outline: none;
    cursor: pointer;
    width: 100%;
    font-weight: var(--fw-700);
    margin: 20px auto 0;
    border-radius: 30px;
    transition: all .5s ease-in;
}
form button:is(:hover, :focus){
    outline-offset: 5px;
    outline: 3px solid var(--mantis);
    transition: all .5s ease;
    background-color: transparent;
    color: var(--rich-black-fogra-29);
}

/* foooter section */
footer{
    display: flex;
    flex-wrap: wrap;
    margin-top: auto;
    background: var(--rich-black-fogra-29);
    padding: 60px;

}
.footer-col{
    width: 25%;
}
.footer-col h4{
    position: relative;
    margin-bottom: 30px;
    font-weight: 400;
    font-size: var(--fs-3);
    color: var(--white);
    text-transform: capitalize;
}
.footer-col h4::before{
    content: '';
    position: absolute;
    left: 0;
    bottom: -6px;
    background-color: var(--gambog);
    height: 2px;
    width: 40px;
}
.footer-col ul li:not(:last-child){
    margin-bottom: 18px;
}
.footer-col ul li a{
    display: block;
    font-size: 16px;
    text-transform: capitalize;
    color: var(--sonic-silver);
    transition: 0.4s ease-in-out;
}
.footer-col ul li a:hover{
    color: var(--white);
    padding-left: 2px;
}
.social-links a{
    display: inline-block;
    height: 44px;
    width: 44px;
    color: var(--white);
    background-color: var(--mantis);
    margin: 0 8px 8px 0;
    line-height: 44px;
    text-align: center;
    border-radius: 50%;
    transition: 0.4s;
}
.social-links a:hover{
    background-color: var(--white);
    color: var(--black);
}
.copyrightssymbol{
    height: 100%;
    width: 100%;
    background-color: var(--rich-black-fogra-29);
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid var(--sonic-silver);
    padding-top: 20px;
    border-bottom: 1px solid;
}
.copyright{
    color: var(--silver-chalice);
}
.copyright span{
    color: var(--white);
}
/* ----footer section media queries */
@media(max-width: 740px){
    .footer-col{
        width: 50%;
        margin-bottom: 30px;
        text-align: center;
    }

    .footer-col h4::before{
        all: unset;
    }
}
@media(max-width:555px){
    .footer-col{
        width: 100%;
    }
    footer .footer-img{
        width: 120px;
        display: flex;
    }
}

/* media query for smaller screens */
@media screen and (max-width: 768px) {
    .contactform-container {
      height: auto;
      margin: 15px;
      padding: 20px;
      justify-content: flex-start;
    }
  
    form {
      width: 100%;
    }
  
    form input,
    form textarea {
      width: 100%;
      /* resize: none; */
    }
  
    form button {
      width: 100%;
    }
  }
/*------------- Responsive Media Queries------------ */
/* ------ For Larger Than 550px ----------- */

@media(min-width: 550px){

    /* Cutomized Properties */


    :root{

        /*--- Fonts styles--- */
        --fs-1: 45px;
    }

    /* Re used Styles */

    .container{
        max-width: 550px;
        margin-inline: auto;
    }
    .h2{
        font-size: 35px;
    }
    

    /* header */
    .header .logo{
        min-width: 160px;
    }

    /* services */
    .departments-card{
        padding: 30px;
    }

}

/* ------- Media Queries for 760 px --------- */
@media(min-width:750px){

    /* Cutomized Properties */


    :root{

        /*--- Fonts styles--- */
        --fs-1: 45px;
    }

    /* Re used Styles */

    .container{
        max-width: 750px;
    }

    /* Hero About */

    .hero-banner,
    .about-banner{
        max-width: 600px;
        margin-inline: auto;
    }
    .about-banner{
        max-width: 600px;
    }

    /* Services  */
    .departments-title{
        max-width: 600px;
        margin-inline: auto;
    }
    .departments-list{
        grid-template-columns: 1fr 1fr;
    }
}

/*  ------ Media Queries for 1024px ------- */
@media(min-width: 1024px){
    
    /* Cutomized Properties */


    :root{

        /*--- Fonts styles--- */
        --fs-1: 65px;
    }

    /* Re used Styles */

    .container{
        max-width: 950px;
    }
    .h2{
        font-size: 40px;
    }
    
    /* Header */
    .header .logo{
        margin-right: 25px;
    }

    .menu-open-btn,
    .menu-close-btn,
    .navbar .logo{
        display: none;
    }

    .navbar{
        position: static;
        max-width: unset;
        height: unset;
        background: none;
        padding: 0;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .navbar-list{
        margin-bottom: 0;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .navbar .copyright{
        display: none;
    }
    .navbar-link{
        position: relative;
        font-size: var(--fs-5);
        padding: 20px 25px;
    }
    .navbar-link::after{
        --scale: 0;
        content: "";
        position: absolute;
        bottom: 15px;
        left: 50%;
        transform: translateX(-50%) scale(var(--scale));
        background: var(--orange-wb);
        width: 30px;
        height: 2px;
        border-radius: 2px;
        opacity: 0.5;
        transition: var(--transition);
    }

    .navbar-link:is(:hover, :focus)::after{
        --scale: 1;
    }
    .overlay{
        display: none;
    }

    /* Hero */
    .hero .container{
        display: grid;
        grid-template-columns: 4fr 6fr;
        align-items: center;
        gap: 50px;
    }

    .hero-banner{
        margin-bottom: 0;
        order: 1;
    }

    /* About */

    .about .container{
        display: grid;
        grid-template-columns: 1fr 1fr;
        align-items: center;
        gap: 70px;
    }

    .about-banner{
        position: relative;
        margin-bottom: 0;
    }
    .about-banner{
        width:400px;
        margin-right: 40px;

    }
    .about-content{
        max-width: unset;
    }

    /* -------Services------- */
    .services-departements{
        position: relative;
        z-index: 1;

    }
    .services-departements{
        top: 100px;
        right: 0;
        z-index: -1;
    }
    .departments-title{
        max-width: 500px;
    }
    .departments-list{
        grid-template-columns: repeat(3, 1fr);
    }
    .departments-card{
        height: 100%;
        width: 400px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
    }

}



/* Media Queries for 1200px */

@media(min-width: 1200px){

    /* Re used Styles */
    .container{
        max-width: 1050px;
    }

    /*------- services-------- */

    .services-departements{
        max-width: 1230px;
    }
    .service-btn{
        cursor: pointer;
        margin-left: 50%;
    }
    .departments-title{
        padding-left: 20%;
    }
    .navbar .copyright{
        display: none;
    }
}

/* media queries for Blog Section */

@media(max-width:920px){
    .blog-box-container{
        grid-template-columns: 1fr 1fr;
        grid-gap: 10px;
    }
}
@media(max-width:600px){
    .blog-box-container{
        grid-template-columns: 1fr;
    }
    .blog-heading h3{
        font-size: 1.6rem;
    }
}